#include "TH1D.h"
#include "TH2D.h"
#include "THStack.h"
#include "TGraph.h"
#include "TTree.h"
#include "TChain.h"
#include "TFile.h"
#include "TCanvas.h"
#include "TROOT.h"
#include "TStyle.h"
#include "TColor.h"
#include "TLorentzVector.h"
#include "TRandom3.h"
#include "TLorentzVector.h"
#include "TMVA/Factory.h"
#include "TMVA/DataLoader.h"

#include <string>
#include <iostream>
#include <cmath>

int inspect_tree() {
    auto file = TFile::Open("/auto/data/pfeiffer/inclusive_detached_dilepton/MC/BuToKpMuMu_rd_btoxll_simulation_12143001_MagDown_v0r0p6316987.root", "READ");
    auto tree = file->Get<TTree>("BuToKpMuMu23_noPID/DecayTree");
    auto branches = tree->GetListOfBranches();

    for (size_t i = 0; i < branches->GetSize(); i++)
    {
        TBranch* b = (TBranch*) branches->At(i);
        std::cout << b->GetName() << std::endl;
    }

    file->Close();
    return 0;
}